Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".

#1 Le 24/10/2012, à 13:17

Goalgauth

Sources de logiciels ne démarre pas dans Quantal [Résolu]

Bonjour,
Sur 2 PC différents, après installation de la version 12.10 (version 64 bits, installation par clef USB en conservant le home et le répertoire personnel), pas moyen de démarrer graphiquement la gestion des sources de logiciel, que ce soit directement dans le dash ou par l'intermédiaire de la logithèque. Voici ci-dessous ce que ça donne en démarrant l'interface de gestion des sources de logiciels via le terminal :

~$ software-properties-gtk
gpg: /tmp/tmpwn1oo_/trustdb.gpg: base de confiance créée
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/UbuntuDrivers/detect.py", line 162, in packages_for_modalias
    cache_map = packages_for_modalias.cache_maps[apt_cache_hash]
KeyError: 5286721

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/software-properties-gtk", line 103, in <module>
    app = SoftwarePropertiesGtk(datadir=options.data_dir, options=options, file=file)
  File "/usr/lib/python3/dist-packages/softwareproperties/gtk/SoftwarePropertiesGtk.py", line 178, in __init__
    self.init_drivers()
  File "/usr/lib/python3/dist-packages/softwareproperties/gtk/SoftwarePropertiesGtk.py", line 1097, in init_drivers
    self.devices = detect.system_device_drivers()
  File "/usr/lib/python3/dist-packages/UbuntuDrivers/detect.py", line 415, in system_device_drivers
    for pkg, pkginfo in system_driver_packages(apt_cache).items():
  File "/usr/lib/python3/dist-packages/UbuntuDrivers/detect.py", line 319, in system_driver_packages
    for p in packages_for_modalias(apt_cache, alias):
  File "/usr/lib/python3/dist-packages/UbuntuDrivers/detect.py", line 164, in packages_for_modalias
    cache_map = _apt_cache_modalias_map(apt_cache)
  File "/usr/lib/python3/dist-packages/UbuntuDrivers/detect.py", line 129, in _apt_cache_modalias_map
    m = package.candidate.record['Modaliases']
  File "/usr/lib/python3/dist-packages/apt/package.py", line 429, in record
    return Record(self._records.record)
UnicodeDecodeError: 'utf-8' codec can't decode byte 0xeb in position 114: invalid continuation byte

J'ai l'impression que ce bug est reporté sur Launchpad (Bug#1028388), il est marqué en "fix released" pourtant, pas pour moi en tout cas...
Une piste éventuelle: c'est la même image iso de Quantal 64 que j'ai utilisée en live-USB pour les 2 installs. Je n'ai pas vérifié el MD5SUM (j'ai abandonné l'idée de le trouver après 5 min de recherche sur ubuntu.com), mais j'ai vérifié si le disque n'avait pas d'erreur avant de démarrer en session live-USB.
Merci d'avance pou votre aide.

Dernière modification par Goalgauth (Le 26/10/2012, à 09:46)

Hors ligne

#2 Le 24/10/2012, à 18:51

f.x0

Re : Sources de logiciels ne démarre pas dans Quantal [Résolu]

Bonjour Goalgauth,

Tu as essayé en supprimant puis en réinstallant software-properties-gtk ???

sudo apt-get remove --purge software-properties-gtk
sudo apt-get install software-properties-gtk

SOPI

Hors ligne

#3 Le 24/10/2012, à 21:32

Goalgauth

Re : Sources de logiciels ne démarre pas dans Quantal [Résolu]

@f.x0 : je viens d'essayer, ça ne marche pas... Merci quand même.

Hors ligne

#4 Le 24/10/2012, à 23:16

f.x0

Re : Sources de logiciels ne démarre pas dans Quantal [Résolu]

je ne vois pas comment corriger ce problème désolé.

UnicodeDecodeError: 'utf-8' codec can't decode byte 0xeb in position 114: invalid continuation byte

et lorsque tu lances en root

gksudo software-properties-gtk

que donne le terminal ???


SOPI

Hors ligne

#5 Le 25/10/2012, à 06:54

Goalgauth

Re : Sources de logiciels ne démarre pas dans Quantal [Résolu]

Ça donne ceci :

~$ gksudo software-properties-gtk
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/UbuntuDrivers/detect.py", line 162, in packages_for_modalias
    cache_map = packages_for_modalias.cache_maps[apt_cache_hash]
KeyError: 5285489

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/software-properties-gtk", line 103, in <module>
    app = SoftwarePropertiesGtk(datadir=options.data_dir, options=options, file=file)
  File "/usr/lib/python3/dist-packages/softwareproperties/gtk/SoftwarePropertiesGtk.py", line 178, in __init__
    self.init_drivers()
  File "/usr/lib/python3/dist-packages/softwareproperties/gtk/SoftwarePropertiesGtk.py", line 1097, in init_drivers
    self.devices = detect.system_device_drivers()
  File "/usr/lib/python3/dist-packages/UbuntuDrivers/detect.py", line 415, in system_device_drivers
    for pkg, pkginfo in system_driver_packages(apt_cache).items():
  File "/usr/lib/python3/dist-packages/UbuntuDrivers/detect.py", line 319, in system_driver_packages
    for p in packages_for_modalias(apt_cache, alias):
  File "/usr/lib/python3/dist-packages/UbuntuDrivers/detect.py", line 164, in packages_for_modalias
    cache_map = _apt_cache_modalias_map(apt_cache)
  File "/usr/lib/python3/dist-packages/UbuntuDrivers/detect.py", line 129, in _apt_cache_modalias_map
    m = package.candidate.record['Modaliases']
  File "/usr/lib/python3/dist-packages/apt/package.py", line 429, in record
    return Record(self._records.record)
UnicodeDecodeError: 'utf-8' codec can't decode byte 0xeb in position 114: invalid continuation byte

Ce qui me semble à peu près la même chose...

Hors ligne

#6 Le 25/10/2012, à 22:27

tdurandy

Re : Sources de logiciels ne démarre pas dans Quantal [Résolu]

Trouvé sur https://bugs.launchpad.net/ubuntu/+sour … ug/1053749
C'est davmail qui pose problème. Il faut donc soit le supprimer (sudo apt-get remove davmail), soit corriger comme suggéré.

Hors ligne

#7 Le 26/10/2012, à 09:46

Goalgauth

Re : Sources de logiciels ne démarre pas dans Quantal [Résolu]

@tdurandy : Merci bien, j'aurais jamais trouvé ça tout seul !
L'auteur a prévu un correctif dans la prochaine version, je ne vais pas tenter la manip décrite et gérer si nécessaire le sources.list en ligne de commande - ça m'évitera de perdre trop la main !
Je passe le post en résolu.

Hors ligne

#8 Le 26/10/2012, à 20:09

miir83

Re : Sources de logiciels ne démarre pas dans Quantal [Résolu]

Bonjour, j'ai eu le même problème avec camllight (2 caractères : nom Ran\E7 et prE9pas)
Je l'ai trouvé grace à

$  grep-available -r . | iconv -f utf-8 -t ucs-2le > /dev/null; echo $

qui me donne la position, la mienne était : 2686016
cela me permet d'obtenir, pour l'entier précédent :

$  grep-available -r . | head -c 2686015 | tail -n  6

d'avoir le paquet et ligne à problème.
1) J'ai supprimé camllight et software-properties-gtk s'ouvre maintenant sans problème.
2) J'ai fait une nouvelle tentative d'installation avec le package quantal de camllight :

deb http://boisson.homeip.net/ubuntu/ quantal divers

, j'ai trouvé le fichier qu'il fallait modifier : retirer le "ç" et le "é" (qui pourtant ne posent pas de problème à l'ouvertureà) et sauvegarder :

sudo gedit /var/lib/apt/lists/boisson.homeip.net_ubuntu_dists_quantal_divers_binary-i386_Packages

Si c'est pour d'autres paquets, j'imagine qu'il faut retenir le répertoire : /var/lib/apt/lists/ où il faut "bidouiller" en attendant de trouver le bug de conversion en UTF-8.
Cordialement.
Michel

Dernière modification par miir83 (Le 17/03/2013, à 19:35)

Hors ligne

#9 Le 09/11/2012, à 23:29

FelixP

Re : Sources de logiciels ne démarre pas dans Quantal [Résolu]

@miir83 j'ai le même problème que toi, avec camllight, mais n'arrive pas à le résoudre… Pourrais-tu m'aider ? big_smile
http://forum.ubuntu-fr.org/viewtopic.php?pid=11454321


Envoyé depuis mon navigateur libre sous mon os libre.
LinuxMint 15 Olivia, avec Cinnamon 2.0, et Firefox-Nightly 29.0 !
Voyez mes astuces ici : http://doc.ubuntu-fr.org/utilisateurs/felixp

Hors ligne

#10 Le 10/02/2013, à 18:00

navtex

Re : Sources de logiciels ne démarre pas dans Quantal [Résolu]

 for F in /var/lib/apt/lists/*Packages; do iconv -f utf-8 -t ucs-2le $F > /dev/null || echo $F; done
iconv: séquence d'échappement non permise à la position 733
/var/lib/apt/lists/doc.hausser.ch_debpackages_dists_ubuntu-dha_quantal_binary-i386_Packages

j'ajoute ma pierre  au débat cool


Voyager 13.10  sur Dell vostro 1720  2.66GHz × 2  - Ram 4Gio
Voyager- 12.04  sur  Asus X56V   2.16GHz × 2  - Ram 3,9 Gio
X-Lubuntu 14.04  sur  Panasonic CF-M34  PIII 0,93Ghz   500Mo
(Keep the wind in your back)               mon ébauche blog- http://voiliershy.wordpress.com/

Hors ligne

Haut de page ↑